Expression (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class Expression

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression

All Implemented Interfaces:
  Cloneable, Visitable

Direct Known Subclasses:
  ClassExpression, InstanceExpression, PathExpression

    public abstract class Expression

extends Object
implements Cloneable, Visitable

This class serves as the base for the four different expression types. These types are namely `AttributeExpression`, `ClassExpression`, `RelationExpression` and `InstanceExpression`

The only fields stored in this class is the `ExpressionDefinition` of this Expression and the set of condition associated with this expression.

To successfully subclass this class overwrite the `equals` and `clone` methods. If new fields are introduced the `toString` and `hashCode` methods must be overwritten, too.

Version:
  $Revision: 1.7 $ $Date: 2010-03-07 20:40:05 +0100 (Sun, 07 Mar 2010) $
Author:
  Francois Scharffe, Adrian Mocan Created on 23-Mar-2005 Committed by $Author: adrianmocan $ $Source: /cvsroot/mediation/mappingapi/src/fr.inrialpes.exmo.align.impl.edoal/Expression.java,v $,

Field Summary
`protected Variable` | `variable`

Constructor Summary
`protected` | `Expression()`

Method Summary
`void` | `accept(AlignmentVisitor visitor)`
`void` | `accept(TypeCheckingVisitor visitor)`
`Variable` | `getVariable()`
`void` | `setVariable(Variable v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### variable

    protected Variable variable

Constructor Detail

### Expression

    protected Expression()

Method Detail

### accept

    public void accept(AlignmentVisitor visitor)
                throws AlignmentException

  Specified by:
    `accept` in interface `Visitable`
  Throws:
    `AlignmentException`

### accept

    public void accept(TypeCheckingVisitor visitor)
                throws AlignmentException

  Throws:
    `AlignmentException`

### getVariable

    public Variable getVariable()

### setVariable

    public void setVariable(Variable v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010